apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: webapps-ingress
  labels:
    app: webapps
  annotations:
      nginx.ingress.kubernetes.io/rewrite-target: /
spec:
  ingressClassName: nginx
  rules:
  - host: webapps.dev.minikube.local
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: webapps-svc
            port:
              number: 80
